TagMangoTagMango Docs
Certificate

Start Certificate GenerationDeprecated

POST
/api/v1/external/certificates/upload

Start certificate generation for an user, currently only certificates created for mangoes are supported.

  • This is an asynchronous operation, it will return a success response immediately and the certificate will be generated in background.
  • Once generated can be downloaded from the course completion page.
AuthorizationBearer <token>

In: header

Header Parameters

x-whitelabel-host*string

Host name of the dashboard, ex: mydomain.tagmango.com

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api-prod-new.tagmango.com/api/v1/external/certificates/upload" \  -H "x-whitelabel-host: string" \  -H "Content-Type: application/json" \  -d '{    "certificateId": "6687f97be9c32747ffd56719",    "fanId": "646dd0eb159d8b7a7f5a9c29"  }'
{
  "message": "Operation completed successfully",
  "success": true
}
{
  "code": 400,
  "type": "Bad Request",
  "statusMessage": "BAD_REQUEST",
  "success": false,
  "message": "Invalid request",
  "result": "Invalid request"
}
{
  "code": 401,
  "type": "Unauthorized",
  "statusMessage": "UNAUTHORIZED",
  "message": "Invalid token",
  "result": "Invalid token",
  "success": false
}
{
  "code": 403,
  "type": "Forbidden",
  "statusMessage": "FORBIDDEN",
  "errorCode": "WORKSHOP_MANGO_FORBIDDEN",
  "message": "You can not access this api with a TagMango account, only available for whitelabel hosts",
  "result": "You can not access this api with a TagMango account, only available for whitelabel hosts",
  "success": false
}
{
  "code": 429,
  "type": "Too Many Requests",
  "statusMessage": "TOO_MANY_REQUESTS",
  "message": "Request limit exceeded. try after 10 seconds",
  "result": "Request limit exceeded. try after 10 seconds",
  "success": false
}